Bug 1202544 - Missing dependency 'patch' for drush make
Summary: Missing dependency 'patch' for drush make
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-drush-drush
Version: 21
Hardware: noarch
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 20:56 UTC by David Henry
Modified: 2015-04-21 19:25 UTC (History)
2 users (show)

Fixed In Version: php-drush-drush-6.2.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-20 18:37:16 UTC


Attachments (Terms of Use)
make file to use with drush make (27.59 KB, text/plain)
2015-03-16 20:56 UTC, David Henry
no flags Details

Description David Henry 2015-03-16 20:56:57 UTC
Created attachment 1002499 [details]
make file to use with drush make

Description of problem:
drush make command fails to apply patches if patch is not installed.  This should be a dependency of drush.

Version-Release number of selected component (if applicable):
php-drush-drush-6.2.0-2.fc21.noarch

How reproducible:
Always

Steps to Reproduce:
1.Fresh install of Fedora 21
2.yum install drush
3.use the attached profile.make
4.drush make profile.make


Actual results:
Drush fails with this message repeated for several (but not all) patches:
 >> Unable to patch scheduler_workbench with 2244871-scheduler-workbench-3.patch.                                                                          [error]


Expected results:
Drush builds successfully

Additional info:

Comment 1 Fedora Update System 2015-04-01 13:20:08 UTC
php-drush-drush-6.2.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-drush-drush-6.2.0-3.fc22

Comment 2 Fedora Update System 2015-04-01 13:23:45 UTC
php-drush-drush-6.2.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-drush-drush-6.2.0-3.fc21

Comment 3 Fedora Update System 2015-04-01 13:26:27 UTC
php-drush-drush-6.2.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-drush-drush-6.2.0-3.fc20

Comment 4 Fedora Update System 2015-04-01 13:27:34 UTC
php-drush-drush-6.2.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-drush-drush-6.2.0-3.el7

Comment 5 Fedora Update System 2015-04-01 13:29:35 UTC
php-drush-drush-6.2.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-drush-drush-6.2.0-3.el6

Comment 6 Fedora Update System 2015-04-01 22:25:20 UTC
Package php-drush-drush-6.2.0-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-drush-drush-6.2.0-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5231/php-drush-drush-6.2.0-3.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-04-20 18:37:16 UTC
php-drush-drush-6.2.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-20 18:38:14 UTC
php-drush-drush-6.2.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-21 18:30:42 UTC
php-drush-drush-6.2.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-21 18:42:45 UTC
php-drush-drush-6.2.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-21 19:25:08 UTC
php-drush-drush-6.2.0-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.